// pages/member/rankingListSecond/rankingListSecond.js
var WxParse = require('../../../../wxParse/wxParse.js');
var app = getApp();
Page({

  /**
	 * 页面的初始数据
	 */
  data: {
    id: '',
    all_amount: '',
    order_price: '',
    ratio: '',
    star: '',
    amount: '',
    amount_surplus: '',
    created_at: ''
  },

  /**
	 * 生命周期函数--监听页面加载
	 */
  onLoad: function(options) {
    this.getData();
  },

  /**
	 * 生命周期函数--监听页面初次渲染完成
	 */
  onReady: function() {},

  /**
	 * 生命周期函数--监听页面显示
	 */
  onShow: function() {},

  /**
	 * 生命周期函数--监听页面隐藏
	 */
  onHide: function() {},

  /**
	 * 生命周期函数--监听页面卸载
	 */
  onUnload: function() {},

  /**
	 * 页面相关事件处理函数--监听用户下拉动作
	 */
  onPullDownRefresh: function() {},

  /**
	 * 页面上拉触底事件的处理函数
	 */
  onReachBottom: function() {},

  /**
	 * 用户点击右上角分享
	 */
  onShareAppMessage: function() {},
  getData() {
    let urlStr = app.getNetAddresss('plugin.member-return.frontend.log.index');
    urlStr += '&log_id=' + this.options.id;
    app._getNetWork({
      url: urlStr,
      success: (res) => {
        let resdata = res.data;
        if (resdata.result === 1) {
          if (app._isTextEmpty(resdata.data.log.has_one_queue)) {
            this.setData({
              star: ''
            });
          } else {
            var sum = '';
            for (let i = 0; i < resdata.data.log.has_one_queue.star; i++) {
              sum +=
								"<icon  class='iconfont icon-extension-stars icon-custom-undefined' style='font-size: 1rem; color: rgb(241, 83, 83);'></icon>";
            }
            WxParse.wxParse('rules', 'html', sum, this);
            this.setData({
              star: sum
            });
          }
          this.setData({
            all_amount: resdata.data.log.has_one_queue.amount,
            order_price: resdata.data.log.order_price,
            ratio: resdata.data.log.ratio,
            amount: resdata.data.log.amount,
            amount_surplus: resdata.datalog.has_one_queue.amount_surplus,
            created_at: resdata.data.log.created_at
          });
        } else {
          wx.showToast({
            title: resdata.msg,
            icon: 'none'
          });
        }
      },
      fail: function(res) {
        console.log(res);
      }
    });
  }

});
